Subject: bug#26254: grep's -m breaks -A

From: Jim Meyering <[email-masked]>
Date: Wed, 21 Jun 2017 18:27:02 -0700

On Wed, Jun 21, 2017 at 2:10 PM, Paul Eggert <[email-masked]> wrote:
> On 06/17/2017 08:24 PM, Paul Eggert wrote:
>>
>>
>> This would also change the meaning of grep -v --max-count=NUM
>
>
> After looking into this, my proposal was too drastic. So I am attaching a
> more modest patch that would simply change grep's behavior along the lines
> requested. Athough this is an incompatible change, I think almost all users
> who care about it will prefer the new behavior. If there is a problem with
> it I suppose we could have an option to select the old behavior, but I hope
> it doesn't come to that.

Thanks for all of that careful work. It looks fine to me.
Please add a reference to this bug number, 26254, in the commit log.